I updated from Appointments+ 1.5.2 to 1.5.6, then placed

Hi,

I updated from Appointments+ 1.5.2 to 1.5.6, then placed the .mo and .po files for my french translation (as usual) in the language folder. However "Free", "Busy" and "Not possible" don't translate. The other words are OK. As you can see in the screenshot, "Next Month" button is translated to "Mois suivant", but not the 3 other words. Access to website granted.

Any ideas?

Thank you,

Dany

  • Kasia Swiderska
    • Support nomad

    Hello Dany,

    I think I found the issue with translation... Quick fix is to edit /appointments/appointments.php file and in line 1162 you will find this code:

    array(
    								'free'			=> __('Free', 'my-plugin'),
    								'busy'			=> __('Busy', 'my-plugin'),
    								'notpossible'	=> __('Not possible', 'my-plugin')
    								)
    				);

    please replace it with this one

    array(
    								'free'			=> __('Free', 'appointments'),
    								'busy'			=> __('Busy', 'appointments'),
    								'notpossible'	=> __('Not possible', 'appointments')
    								)
    				);

    Let me know if this will help. And please backup this file before you will made changes in it.

    kind regards,
    Kasia

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.